Bug 236113 - security/sssd: Add support for MIT krb5 1.17 for external pac_responder
Summary: security/sssd: Add support for MIT krb5 1.17 for external pac_responder
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rodrigo Osorio
URL:
Keywords:
: 204827 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-02-28 19:18 UTC by Rick
Modified: 2019-08-28 10:07 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (lukas.slebodnik)


Attachments
Include support for krb5 1.17 (995 bytes, text/plain)
2019-02-28 19:18 UTC, Rick
no flags Details
Log of successful build after applying attached patch (38.59 KB, text/plain)
2019-02-28 19:23 UTC, Rick
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rick 2019-02-28 19:18:03 UTC
Created attachment 202450 [details]
Include support for krb5 1.17

Port fails to build w/ MIT krb5 1.17 during package as described below. The attached patch that patches the external pac_responder.m4 fixes it.

===========================================================================
=======================<phase: package        >============================
===>  Building package for sssd-1.11.7_14
pkg-static: Unable to access file /wrkdirs/usr/ports/security/sssd/work/stage/usr/local/lib/krb5/plugins/authdata/sssd_pac_plugin.so:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/security/sssd/work/stage/usr/local/libexec/sssd/sssd_pac:No such file or directory
*** Error code 1

Stop.
make: stopped in /usr/ports/security/sssd
=>> Cleaning up wrkdir
Comment 1 Rick 2019-02-28 19:23:45 UTC
Created attachment 202451 [details]
Log of successful build after applying attached patch
Comment 2 Rodrigo Osorio freebsd_committer 2019-04-30 16:35:32 UTC
The patch by itself can't be applied but the content is valid.

Now I need the maintainer approval before commit
Comment 3 John Hein 2019-05-20 00:46:36 UTC
Maintainer timeout?

By the way, if you dos2unix the attached patch, it applies fine.
And it builds with the patch (SMB option on).
Comment 4 Rodrigo Osorio freebsd_committer 2019-05-29 06:47:25 UTC
committed, thanks
Comment 5 commit-hook freebsd_committer 2019-05-29 06:47:57 UTC
A commit references this bug:

Author: rodrigo
Date: Wed May 29 06:46:57 UTC 2019
New revision: 502928
URL: https://svnweb.freebsd.org/changeset/ports/502928

Log:
  Add 1.17 to supported krb5 versions

  Bump PORTREVISION

  PR:		236113
  Submitted by:	vrwmiller@gmail.com
  Reported by:	lukas.slebodnik@intrak.sk (maintainer's timeout; 29 days)

Changes:
  head/security/sssd/Makefile
  head/security/sssd/files/patch-src_external_pac__responder.m4
Comment 6 Walter Schwarzenfeld freebsd_triage 2019-08-28 10:07:50 UTC
*** Bug 204827 has been marked as a duplicate of this bug. ***